OpenTTD Source: src/misc.cpp File Reference

OpenTTD Source 12.0-beta1

Functions | Variables
misc.cpp File Reference
`#include "stdafx.h"`
`#include "landscape.h"`
`#include "news_func.h"`
`#include "ai/ai.hpp"`
`#include "ai/ai_gui.hpp"`
`#include "newgrf.h"`
`#include "newgrf_house.h"`
`#include "economy_func.h"`
`#include "date_func.h"`
`#include "texteff.hpp"`
`#include "gfx_func.h"`
`#include "gamelog.h"`
`#include "animated_tile_func.h"`
`#include "tilehighlight_func.h"`
`#include "network/network_func.h"`
`#include "window_func.h"`
`#include "core/pool_type.hpp"`
`#include "game/game.hpp"`
`#include "linkgraph/linkgraphschedule.h"`
`#include "station_kdtree.h"`
`#include "town_kdtree.h"`
`#include "viewport_kdtree.h"`
`#include "newgrf_profiling.h"`
`#include "safeguards.h"`

Go to the source code of this file.

## Functions
void | MakeNewgameSettingsLive ()
void | InitializeSound ()
void | InitializeMusic ()
| Prepare the music system for use. More...
void | InitializeVehicles ()
void | InitializeRailGui ()
| Initialize rail building GUI settings.
void | InitializeRoadGui ()
void | InitializeAirportGui ()
void | InitializeDockGui ()
void | InitializeGraphGui ()
void | InitializeObjectGui ()
| Reset all data of the object GUI.
void | InitializeTownGui ()
void | InitializeIndustries ()
void | InitializeObjects ()
| Initialize/reset the objects.
void | InitializeTrees ()
void | InitializeCompanies ()
| Initialize the pool of companies.
void | InitializeCheats ()
| Reinitialise all the cheats.
void | InitializeNPF ()
void | InitializeOldNames ()
| Initialize the old names table memory.
void | InitializeGame (uint size_x, uint size_y, bool reset_date, bool reset_settings)

## Variables
TileIndex | _cur_tileloop_tile

## Detailed Description

Misc functions that shouldn't be here.

Definition in file misc.cpp.

## Function Documentation

## ◆ InitializeMusic()

void InitializeMusic | ( |  | ) |

Prepare the music system for use.

Called from `InitializeGame`

Definition at line 442 of file music_gui.cpp.

References _music.